Package org.apache.tools.ant.types.selectors.modifiedselector

# Class EqualComparator

java.lang.Object
org.apache.tools.ant.types.selectors.modifiedselector.EqualComparator

All Implemented Interfaces:
  `Comparator<Object>`

public class EqualComparator extends Object implements Comparator<Object>
Simple implementation of Comparator for use in CacheSelector. compare() returns '0' (should not be selected) if both parameter are equal otherwise '1' (should be selected).

Since:
  Ant 1.6
Version:
  2003-09-13

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EqualComparator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compare(Object o1, Object o2)`
  Implements Comparator.compare().
  `String`
  `toString()`
  Override Object.toString().

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Comparator

  `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- ## Constructor Details

  - ### EqualComparator

    public EqualComparator()

- ## Method Details

  - ### compare

    public int compare(Object o1, Object o2)
    Implements Comparator.compare().
    Specified by:
      `compare` in interface `Comparator<Object>`
    Parameters:
      `o1` - the first object
      `o2` - the second object
    Returns:
      0, if both are equal, otherwise 1

  - ### toString

    public String toString()
    Override Object.toString().
    Overrides:
      `toString` in class `Object`
    Returns:
      information about this comparator